<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div class="row">
	<div class="width-750-center bootstrap-wrapper form-horizontal">
		<div class="page-header no-border">
			<h1>
				<cv:msg key="label.addAzureAppDetails" bundle="profiles"></cv:msg>
				<cv-help-component help-text="<cv:msg key="label.addServerPlanHelpText" bundle="setup" />"></cv-help-component>
			</h1>
		</div>
		<div data-ng-show="setupComplete" class="text-center">
			<p class="ok serverMessage text-center">
				<cv:msg key="label.azureAppAlreadyConfigured" bundle="setup"></cv:msg>
			</p>
			<p class="text-center"><a data-ng-click="setupComplete = false"><cv:msg	key="label.changeAzureApp" bundle="setup" /></a></p>
			<div class="button-container centered push-down">
				<button id="azureOnlineSetup_button_#5675" type="button" 
					class="btn btn-default cvBusyOnAjax"
					data-ng-click="skip()">
					<cv:msg key="Continue" bundle="messages"></cv:msg>
				</button>
			</div>
		</div>
		<form class="" name="addAzureAppForm"
			data-cv-submit="createAzureApp()" novalidate
			autocomplete="off" data-ng-show="!setupComplete">
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="azureAppID"><cv:msg
							key="label.applicationId" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<input type="text" name="azureAppID" id="azureAppID"
							placeholder='<cv:msg key="label.help.applicationId" bundle="exchange" />'
							data-ng-model="azureAppDetails.azureAppID" required
							autofocus />
						<div class="help-block"
							data-ng-show="cv.addAzureAppForm.needsAttention(formController.azureAppID)">
							<cv:msg key="label.appIdRequired" bundle="exchange" />
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="azureAppSecret"><cv:msg
							key="label.secretAccessKey" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<input type="text" name="azureAppSecret" id="azureAppSecret"
							placeholder='<cv:msg key="label.help.secretAccessKey" bundle="exchange" />'
							data-ng-model="azureAppDetails.azureAppSecret" required
							autofocus />
						<div class="help-block"
							data-ng-show="cv.addAzureAppForm.needsAttention(formController.azureAppSecret)">
							<cv:msg key="label.appSecretRequired" bundle="exchange" />
						</div>
					</div>
				</div>
			</div>
		</div>
			<div class="button-container no-right-padding">
				<button id="azureOnlineSetup_button_#4341" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="skip()"> 
					<cv:msg key="action.skip" bundle="profiles" />
				</button>
				<button id="azureOnlineSetup_button_#3277" type="submit" class="btn btn-primary cvBusyOnAjax"> 
					<cv:msg key="action.save" bundle="setup" />
				</button>
			</div>
		</form>
	</div>
</div>