<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
</script>
<div data-ng-class="{'col-md-offset-1': cappsClConfigODCtrl.isSetup && !cappsClConfigODCtrl.hideForm}" data-ng-controller="cappsClientConfigODController as cappsClConfigODCtrl">
		<div data-ng-show="cappsClConfigODCtrl.hideForm" class="setup-content">
					<h1 class="page-header"> <cv:msg key="pageHeader.addOneDriveClient" bundle="capps"/><cv-help-component help-text="<cv:msg key="label.addCappClientHelpText" bundle="capps" />"></cv-help-component></h1>
					<p class="serverMessage"><cv:msg key="info.cappsClientsPresent" bundle="capps" /></p>
					<a data-ng-click="cappsClConfigODCtrl.showAppForm()"><cv:msg key="label.addNewCloudappApp" bundle="capps" /></a>
					<div class="button-container centered">
								<button id="cappsClientConfigOD_button_#2418" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-click="cappsClConfigODCtrl.skip()"><cv:msg key="Continue" bundle="messages" /></button> 
					</div>
		</div>
 		<div class="bootstrap-wrapper">
			<form class="form-horizontal" name="oneDriveClientConfigForm" data-cv-submit="cappsClConfigODCtrl.addModifyClient()" novalidate autocomplete="off" data-ng-hide="cappsClConfigODCtrl.hideForm">
				<span data-cv-loading-spinner data-ng-model="cappsClConfigODCtrl.hideLoading"></span>
				<p class="{{cappsClConfigODCtrl.addModifyClientMessage.type}} serverMessage">{{cappsClConfigODCtrl.addModifyClientMessage.message}}</p>
						<!-- Add mode -->
						<div data-ng-if="cappsClConfigODCtrl.isAddMode">
							<div class="width-750-center">
								<h1 class="page-header"> <cv:msg key="pageHeader.addOneDriveClient" bundle="capps" />
									<cv-help-component class="" help-text="<cv:msg key="label.addCappClientHelpText" bundle="capps" />"></cv-help-component>
								</h1>
									<div class="panel panel-default">
															<!--  Client name -->
															<div class="panel-body">
																<div class="form-group">
																	<label class="col-xs-12 col-lg-4" for="clientName"><cv:msg key="label.clientName" bundle="capps" /></label>
																	<div class="col-xs-12 col-lg-8">
																		<input type="text" id="clientName" name="clientName" data-ng-model="cappsClConfigODCtrl.cappsClientInstancePropModel.clientName" required autofocus />
																		<span class="help-block" data-ng-show="cv.oneDriveClientConfigForm.needsAttention(oneDriveClientConfigForm.clientName)"><cv:msg key="error.clientName" bundle="capps"/></span>
																	</div>
																</div>
															</div>
										</div>
										<!--  General - START -->
												<uib-accordion close-others="true" class="text-left" >
													<div uib-accordion-group data-ng-init="cappsClConfigODCtrl.statusGeneral=true" data-is-open="cappsClConfigODCtrl.statusGeneral">
															<uib-accordion-heading><cv:msg key="label.cAppClientGeneral" bundle="capps"/>
															<i class="float-right glyphicon" data-ng-class="{'glyphicon-chevron-down': cappsClConfigODCtrl.statusGeneral, 'glyphicon-chevron-right': !cappsClConfigODCtrl.statusGeneral}"></i>
															</uib-accordion-heading>
																<div class="panel">
																					<!--  Backup client/proxy -->
																					<div class="form-group">
																						<label class="col-xs-12 col-lg-4" for="backupClient"><cv:msg key="label.backupClientAccNode" bundle="capps"/><cv-help-component class="help-component" help-text="<cv:msg key="info.accessNode" bundle="capps" />"></cv-help-component></label>
																						<div class="col-xs-12 col-lg-8">
																							<select id="backupClient"
																									name="backupClient"
																									data-ng-options="backupClient as backupClient.clientName for backupClient in cappsClConfigODCtrl.backupClientList | orderBy: 'clientName'"
																									data-ng-model="cappsClConfigODCtrl.cappsClientInstancePropModel.backupClient"
																									required>
																								<option value=""><cv:msg key="placeholder.backupClientAccNode" bundle="capps" /></option>
																							</select>
																							<span class="help-block" data-ng-show="cv.oneDriveClientConfigForm.needsAttention(oneDriveClientConfigForm.backupClient)"><cv:msg key="error.backupClientAccNode" bundle="capps" /></span>
																						</div>
																					</div>
																				<!--  Plan -->
																				<div class="form-group">
																					<label class="col-xs-12 col-lg-4" for="planId"><cv:msg key="label.plan" bundle="capps" /></label>
																					<div class="col-xs-12 col-lg-8">
																						<select id="planId"
																								name="planId"
																								data-ng-options="profile.plan.planId as profile.plan.planName for profile in cappsClConfigODCtrl.profileList | orderBy: 'plan.planName'"
																								data-ng-model="cappsClConfigODCtrl.cappsClientInstancePropModel.planId"
																								required>
																							<option value=""><cv:msg key="placeholder.plan" bundle="capps" /></option>
																						</select>
																						<span class="help-block" data-ng-show="cv.oneDriveClientConfigForm.needsAttention(oneDriveClientConfigForm.planId)"><cv:msg key="error.plan" bundle="capps" /></span>
																					</div>
																				</div>
															</div>
													</div>
												</uib-accordion>
										<!--  General - END -->
										<!--  Connection Properties - START -->
												<uib-accordion close-others="true" class="text-left">
													<div uib-accordion-group data-ng-init="cappsClConfigODCtrl.statusConnection=true" data-is-open="cappsClConfigODCtrl.statusConnection">
															<uib-accordion-heading><cv:msg key="label.cAppClientConnDet" bundle="capps"/>
																<i class="float-right glyphicon"	data-ng-class="{'glyphicon-chevron-down': cappsClConfigODCtrl.statusConnection, 'glyphicon-chevron-right': !cappsClConfigODCtrl.statusConnection}"></i>
															</uib-accordion-heading>
															<div class="panel">
																		<div data-ng-include="'capps/partials/cappsOneDriveConnectionFormElements.jsp' | appRoot" ></div>
															</div>
													</div>
												</uib-accordion>
										<!--  Connection Properties  - END -->
										<!--  AutoDiscover - START -->
											<uib-accordion close-others="true" class="text-left">
													<div uib-accordion-group data-ng-init="cappsClConfigODCtrl.statusAutoDiscovery=true" data-is-open="cappsClConfigODCtrl.statusAutoDiscovery">
															<uib-accordion-heading><cv:msg key="label.cAppClientAutoDiscover" bundle="capps"/>
																<i class="float-right glyphicon"	data-ng-class="{'glyphicon-chevron-down': cappsClConfigODCtrl.statusAutoDiscovery, 'glyphicon-chevron-right': !cappsClConfigODCtrl.statusAutoDiscovery}"></i>
															</uib-accordion-heading>
															<div class="panel">
																		<div data-ng-include="'capps/partials/cappsOneDriveADOptionsFormElements.jsp' | appRoot" ></div>
															</div>
													</div>
												</uib-accordion>
										<!--  AutoDiscover  - END -->
										<!--  Buttons - START -->
										<div class="button-container text-right" >
											<button id="cappsClientConfigOD_button_#7364" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-show="cappsClConfigODCtrl.clientSetupComplete" data-ng-click="cappsClConfigODCtrl.skip()"><cv:msg key="Skip" bundle="messages" /></button> 
											<button id="cappsClientConfigOD_button_#1956" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="Save" bundle="messages" /></button> 
										</div>
										<!--  Buttons - END -->
							</div>
						</div>
					<!-- Edit mode   -->
					<div data-ng-if="!cappsClConfigODCtrl.isAddMode">
							<div class="setup-title" ><h1> <cv:msg key="pageHeader.editOneDriveClient" bundle="capps" /></h1></div>
							<div class = "modal-body" >
									<div data-ng-include="'capps/partials/cappsOneDriveConnectionFormElements.jsp' | appRoot" ></div>
							    	<legend><h4><cv:msg key="label.cAppClientAutoDiscover" bundle="capps"/></h4></legend>
									<div data-ng-include="'capps/partials/cappsOneDriveADOptionsFormElements.jsp' | appRoot" ></div>
							</div>
							<!--  Buttons - START -->
							<div class="modal-footer" >
										<button id="cappsClientConfigOD_button_#6766" type="button" class="btn btn-default cvBusyOnAjax " data-ng-click="cappsClConfigODCtrl.serverAddCancelled()" ><cv:msg key="Cancel" bundle="messages" /></button> 
										<button id="cappsClientConfigOD_button_#5503" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-show="cappsClConfigODCtrl.clientSetupComplete" data-ng-click="cappsClConfigODCtrl.skip()"><cv:msg key="Skip" bundle="messages" /></button> 
										<button id="cappsClientConfigOD_button_#7797" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="Save" bundle="messages" /></button> 
							</div>
							<!--  Buttons - END -->
				</div>
		</form>
	</div>
</div>