<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restoreJs"></cv:cvMessages>//also needed for displaying the toast message
	<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
</script>
<div>
	<div class="setup-title">
		<h1><cv:msg key="label.restoreOpts" bundle="restore"/></h1>
	</div>
	<div class="setup-content" >
		<span class="{{restoreGMailCtrl.serverMessage.type}}" data-ng-bind="restoreGMailCtrl.serverMessage.message"></span>
		<form name="restoreForm" class="restore-form" novalidate data-cv-submit="restoreGMailCtrl.doRestore()" autocomplete="off">
		<!-- Reverting changes of form 29413. Selection across pages and nodes -->
<!-- 			<!-- Summary of items to be restored -->
<!-- 			<div class="itemsForRestore" data-ng-show="restoreGMailCtrl.selectedRows" > -->
<%-- 				<h4><cv:msg key="label.ItemsForRestore" bundle="capps"/></h4> --%>
<!-- 				<ul> -->
<!-- 					<li data-ng-repeat="model in restoreGMailCtrl.selectedRows"> -->
<!-- 						<span data-ng-if="model.leafNode"> {{model.userObject.advancedData.browseMetaData.cloudconnectorData.googleData.mailMessageMetadata.subject}} </span> -->
<!-- 						<span data-ng-if="!model.leafNode"> {{model.label}} </span> -->
<!-- 					</li> -->
<!-- 				</ul> -->
<!-- 			</div> -->
			<!-- For Proxy Severs -->
			<div class="global-options destinationServerDiv" data-ng-show="restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeDisk">
			<label for="proxyServer" class="select-label restorePathLabel"><cv:msg key="label.destHost" bundle="capps"/>
					<select	name="proxyServer"
					data-ng-options="ds as ds.clientName for ds in restoreGMailCtrl.proxyServerList track by ds.clientId"
					data-ng-model="restoreGMailCtrl.selectedProxyServer"
					data-ng-required="true"
					data-ng-change="restoreGMailCtrl.proxyServerChanged()">
						<option value=""><cv:msg key="placeholder.selectDestinationServer" bundle="restoreJs"/></option>
					</select>
					<span class="help-block" data-ng-show="cv.restoreForm.needsAttention(restoreForm.proxyServer)">
						<cv:msg key="error.destinationServer" bundle="restore"/>
					</span>
				</label>
			</div>
			<!-- For Pseudo Severs -->
			<div class="global-options destinationServerDiv" data-ng-show="restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeGoogle" >
			<label for="pseudoServer" class="select-label restorePathLabel"><cv:msg key="label.destHost" bundle="capps"/>
					<select	name="pseudoServer"
					data-ng-options="ds as ds.clientName for ds in restoreGMailCtrl.pseudoServerList track by ds.clientId"
					data-ng-model="restoreGMailCtrl.selectedPseudoServer"
					data-ng-required="true"
					data-ng-change="restoreGMailCtrl.pseudoServerChanged()">
						<option value=""><cv:msg key="placeholder.selectDestinationServer" bundle="restoreJs"/></option>
					</select>
					<span class="help-block" data-ng-show="cv.restoreForm.needsAttention(restoreForm.pseudoServer)">
						<cv:msg key="error.destinationServer" bundle="restore"/>
					</span>
				</label>
			</div>
			<!-- START - TO GOOGLE -->
			<label class="element-indent-class">
		            <input type="radio" value="google" data-ng-model="restoreGMailCtrl.restoreType" data-ng-change="restoreGMailCtrl.restoreTypeChanged()" class="google-apps-restore-type"/>
		            <cv:msg key="label.toGoogle" bundle="capps"/>
		    </label>
			<div class="global-options google-apps-restore-type-section" data-ng-disabled = "!(restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeGoogle)">
	        	<!-- For Path -->
					<div>
						<input name="inplace" id="inplace" type="checkbox"  data-ng-model="restoreGMailCtrl.restoreToOriginalPath">
						<label for="inplace" class="overwriteLabel"><cv:msg key="label.restoreToOriginal" bundle="restore"/></label>
					</div>
					<label  for="restoreGooglePath" class="restorePathLabel"
					data-ng-disabled = "!(restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeGoogle) || restoreGMailCtrl.restoreToOriginalPath">
						<cv:msg key="label.destPath" bundle="snapArray"/>
						<button id="cappsRestoreOptionsGMail_button_#7427" type="button" 
							data-ng-click="restoreGMailCtrl.openGoogleDestinationFolder()"
							class="btn btn-default browse-btn">
							<cv:msg key="label.browse" bundle="restore"/>
						</button>
						<input type="text" name="restoreGooglePath" id="restoreGooglePath" data-ng-model="restoreGMailCtrl.selectedGooglePath" data-ng-required="(restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeGoogle) && !restoreGMailCtrl.restoreToOriginalPath" />
						<span class="help-block" data-ng-show="restoreGMailCtrl.isGoogleDestinationInfoNeeded() && cv.restoreForm.needsAttention(restoreForm.restoreGooglePath)">
							<cv:msg key="error.pathRequired" bundle="restore"/>
						</span>
					</label>
					<div>
						<input name="overwrite" id="overwrite" type="checkbox"  data-ng-model="restoreGMailCtrl.overwrite">
						<label for="overwrite" class="overwriteLabel"><cv:msg key="warning.overwrite" bundle="restore"/></label>
					</div>
			</div>
			<!-- END - TO GOOGLE -->
			<!-- START - TO DISK -->
 			<label class="element-indent-class">
	            <input type="radio" value="disk" data-ng-model="restoreGMailCtrl.restoreType" data-ng-change="restoreGMailCtrl.restoreTypeChanged()" class="google-apps-restore-type"/>
	            <cv:msg key="label.toDisk" bundle="capps"/>
	        </label>
	        <!-- For Path -->
			<div class="global-options google-apps-restore-type-section" data-ng-disabled = "!(restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeDisk)">
				<label  for="restorePath" class="restorePathLabel" >
					<cv:msg key="label.destPath" bundle="snapArray"/>
					<button id="cappsRestoreOptionsGMail_button_#6348" type="button" 
						data-ng-click="restoreGMailCtrl.openDiskDestinationFolder()"
						class="btn btn-default browse-btn" >
						<cv:msg key="label.browse" bundle="restore"/>
					</button>
					<input type="text" name="restorePath" id="restorePath" data-ng-model="restoreGMailCtrl.selectedDiskPath" data-ng-required="restoreGMailCtrl.restoreType == restoreGMailCtrl.restoreTypeDisk" />
					<span class="help-block" data-ng-show="restoreGMailCtrl.isDiskDestinationInfoNeeded() && cv.restoreForm.needsAttention(restoreForm.restorePath)">
						<cv:msg key="error.pathRequired" bundle="restore"/>
					</span>
				</label>
			</div>
			<!-- END - TO DISK -->
			<div class="button-container">
				<button id="cappsRestoreOptionsGMail_button_#0241" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden"	data-ng-click="restoreGMailCtrl.cancelModel()"><cv:msg key="Cancel" bundle="messages" /></button> 
				<button id="cappsRestoreOptionsGMail_button_#7398" class="btn btn-primary cvBusyOnAjax" type="submit" ><cv:msg key="Submit" bundle="messages"/></button> 
			</div>
		</form>
	</div>
</div>
