<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}">
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
</script>
<div class="relative-ajax-loader">
	<span data-cv-loading-spinner data-ng-model="ctrlMd.hideLoading"></span>
</div>
<div class="setup-title">
	<h1 data-ng-show="ctrlMd.hideLoading">{{ctrlMd.modalTitle}}
	<cv-help-component help-text="<cv:msg key='label.addCappSubclientHelpText' bundle='capps' />"  data-ng-if="ctrlMd.isAddMode"></cv-help-component></h1>
</div>
<div  data-ng-class="['bootstrap-wrapper form-horizontal', {'width-750-center padding-bottom-0':ctrlMd.isSetup} ]">
				<p data-ng-show="ctrlMd.subclientsPresentMessage.message != ''"  class="serverMessage">{{ctrlMd.subclientsPresentMessage.message}}</p>
				<p class="text-center"><a data-ng-click="ctrlMd.showSubClientForm()" data-ng-show="ctrlMd.hideForm"><cv:msg key="label.addNewSubclient" bundle="capps"/></a></p>
				<div class="button-container centered" data-ng-show="ctrlMd.hideForm">
					<button id="manageDiscovery_button_#6145" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-click="ctrlMd.goToDefaultPage()"><cv:msg key="Continue" bundle="messages" /></button> 
				</div>
	<form class="edit-users-grid-form"
			name="addCAppSubClientForm"
			novalidate
			cv-submit="ctrlMd.saveCAppSubClient(ctrlMd.cappSCContentModalParams.modelObj)"
			autocomplete="off"
			data-ng-hide="ctrlMd.hideForm">
				<div class="panel panel-default">
				<div class="panel-body">
				<div data-ng-show="ctrlMd.hideLoading">
				<!-- Add Mode -->
				<div data-ng-if="ctrlMd.isAddMode">
				<div class="form-group">
					<label class="col-xs-12 col-lg-4"  for="cappSubclientName">
						<cv:msg key="label.subclientName" bundle="capps" />
					</label>
					<div class="col-xs-12 col-lg-8">
						<input type="text" id="cappSubclientName" name="cappSubclientName" data-ng-model="ctrlMd.createSCModel.subclientName" required />
						<span class="help-block" data-ng-show="cv.addCAppSubClientForm.needsAttention(addCAppSubClientForm.cappSubclientName)"><cv:msg key="error.subclientName" bundle="capps" /></span>
					</div>
				</div>
				<div class="form-group"	data-ng-if="ctrlMd.cloudAppType == 'GOOGLE_DRIVE'">
					<label class="col-xs-12 col-lg-4" for="cappSubclientName">
						<cv:msg key="label.teamdrive" bundle="capps" />
					</label>
					<div class="col-xs-12 col-lg-8">
					<toggle-control id="enTeamDrive"
									status="ctrlMd.googleSubclientBackupOptions.teamDrive"
									data-ng-click="ctrlMd.googleSubclientBackupOptions.changeState('teamDrive',ctrlMd.googleSubclientBackupOptions.teamDrive)"></toggle-control>
					</div>
				</div>
				<div class="form-group"	data-ng-if="ctrlMd.cloudAppType == 'GOOGLE_DRIVE' || ctrlMd.cloudAppType == 'GOOGLE_MAIL'">
					<label class="col-xs-12 col-lg-4" for="enMultiDomain">
						<cv:msg key="label.multidomain" bundle="capps" />
					</label>
					<div class="col-xs-12 col-lg-8">
					<toggle-control id="enMultiDomain"
									status="ctrlMd.googleSubclientBackupOptions.multiDomain"
									data-ng-click="ctrlMd.googleSubclientBackupOptions.changeState('multiDomain',ctrlMd.googleSubclientBackupOptions.multiDomain)"></toggle-control>
					</div>
				</div>
				<div class="form-group"	data-ng-if="ctrlMd.cloudAppType == 'ONEDRIVE' && ctrlMd.showOneNote">
					<label class="col-xs-12 col-lg-4" for="enOneNote">
						<cv:msg key="label.onenote" bundle="capps" />
					</label>
					<div class="col-xs-12 col-lg-8">
						<toggle-control id="enOneNote"
							status="ctrlMd.oneDriveSubclientBackupOptions.oneNote"
							data-ng-click="ctrlMd.oneDriveSubclientBackupOptions.changeState('oneNote',ctrlMd.oneDriveSubclientBackupOptions.oneNote)"></toggle-control>
					</div>
				</div>
				<div class="form-group"	data-ng-if="(ctrlMd.cloudAppType == 'GOOGLE_DRIVE' || ctrlMd.cloudAppType === 'GOOGLE_MAIL') && ctrlMd.googleSubclientBackupOptions.multiDomain === 'disabled-activity'">
					<label class="col-xs-12 col-lg-4" for="googleDomainId">
						<cv:msg key="label.googledomainid" bundle="capps" />
					</label>
					<div class="col-xs-12 col-lg-8">
						<input name="googleDomain" id="googleDomainId"
													placeholder="{{ctrlMd.googleSubclientBackupOptions.multiDomain === 'enabled-activity' ? '' : ctrlMd.defaultGoogleDomainId}}"
													type="text" 
													data-ng-model="ctrlMd.googleBackupOptions.googleDomainVal" />
					</div>
				</div>
				<div class="form-group">
								<cv-entity-plan-policy-select data-ng-if="ctrlMd.planPolicyModel"
									data-cv-model="ctrlMd.planPolicyModel"
									data-cv-show-plan="ctrlMd.showPlan" data-cv-is-associated="'true'"
									data-cv-plan-sub-type="'Server'"
									data-cv-wrapper-class="'form-group row'"
									data-cv-label-class="'col-xs-12 col-sm-4'"
									data-cv-select-class="'col-xs-12 col-sm-8'">
                				</cv-entity-plan-policy-select>
				</div>
				</div> <!-- // end data-ng-if="ctrlMd.isAddMode" // -->
			<!--Content for Add and Edit Mode -->
			<h4 class="text-left">
					<cv:msg key="pageHeader.manageDiscovery" bundle="capps" />
			</h4>
			<cv-grid cv-grid-options="ctrlMd.gridOptions"></cv-grid>
			<p data-ng-show="ctrlMd.saveCAppSubClientMessage.message != ''"	class="{{ctrlMd.saveCAppSubClientMessage.type}} serverMessage">{{ctrlMd.saveCAppSubClientMessage.message}}</p>
			<span class="server-message {{ctrlMd.modalMessage.type}} col-md-12">{{ctrlMd.modalMessage.message}}</span>
			</div><!-- // end data-ng-show="ctrlMd.hideLoading" (was modal body) // -->
			</div></div>
			<div data-ng-class="[{'button-container':ctrlMd.isSetup}, {'modal-footer':!ctrlMd.isSetup} ]">
				<button id="manageDiscovery_button_#2838" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="ctrlMd.cappSubclientAddCancelled()"> 
				<cv:msg key="Cancel" bundle="messages" />
				</button>
				<button id="manageDiscovery_button_#5554" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-show="!ctrlMd.hideForm && ctrlMd.subclientSetupComplete" data-ng-click="ctrlMd.goToDefaultPage()"> 
					<cv:msg key="Skip" bundle="messages" />
				</button>
				<button id="manageDiscovery_button_#7145" type="submit" class="btn btn-primary cvBusyOnAjax"> 
					<cv:msg key="Save" bundle="messages" />
				</button>
			</div>
			</form>
			</div>
