<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form
	data-cv-submit="gsuiteManageSubclientCtrl.saveChanges()"
	name="manageSubclientForm"
	class="form-horizontal bootstrap-wrapper"
	novalidate
	id="manage-subclient-form"
	autocomplete="off"
>
	<div class="modal-header">
		<h1 data-ng-bind="gsuiteManageSubclientCtrl.title"></h1>
	</div>

	<div class="modal-body-fixed no-padding masked">
		<p
			class="serverMessage no-margin error"
			data-ng-bind="gsuiteManageSubclientCtrl.updateSubclientMessage.message">
		</p>

		<div
			class="form-group row margin-left-5 margin-right-5"
			data-ng-if="!gsuiteManageSubclientCtrl.isDefaultSubclient && !gsuiteManageSubclientCtrl.isBackupOptionsEdit"
		>
			<label
				class="col-xs-12 col-sm-4"
				for="subclientName"
				data-ng-bind="gsuiteManageSubclientCtrl.newSubclientLabel">
			</label>
			<div class="col-xs-12 col-sm-8">
				<input
					type="text"
					name="subclientName"
					id="subclientName"
					required
					data-ng-model="gsuiteManageSubclientCtrl.newSubclientName"
					autofocus
				/>
				<span
					class="help-block"
					data-ng-show="cv.manageSubclientForm.needsAttention(manageSubclientForm.subclientName)"
					data-ng-bind="gsuiteManageSubclientCtrl.errorUserGroupName">
				</span>
			</div>
		</div>
	
		<div
			class="form-group margin-left-5 margin-right-5" 
			data-ng-if="gsuiteManageSubclientCtrl.isSubclientEdit && !gsuiteManageSubclientCtrl.isPlanEntityDefined && !gsuiteManageSubclientCtrl.isTenant && !gsuiteManageSubclientCtrl.isBackupOptionsEdit"
		>
			<cv-entity-plan-policy-select
				data-ng-if="gsuiteManageSubclientCtrl.planPolicyModel"
				data-cv-app-id="gsuiteManageSubclientCtrl.APPTYPE"
				data-cv-client-id="gsuiteManageSubclientCtrl.clientId"
				data-cv-subclient-id="gsuiteManageSubclientCtrl.subclientId"
				data-cv-model="gsuiteManageSubclientCtrl.planPolicyModel"
				data-cv-edit-policies="!gsuiteManageSubclientCtrl.showPlanSelectionState"
				data-cv-is-associated="'true'"
				data-cv-plan-sub-type="'Server'"
				data-cv-wrapper-class="'form-group row'"
				data-cv-label-class="'col-xs-12 col-lg-4'"
				data-cv-select-class="'col-xs-12 col-lg-8'">
			</cv-entity-plan-policy-select>
		</div>

		<div
			class="form-group margin-left-5 margin-right-5" 
			data-ng-if="!gsuiteManageSubclientCtrl.isTenant && (!gsuiteManageSubclientCtrl.isSubclientEdit || gsuiteManageSubclientCtrl.isPlanEntityDefined) && !gsuiteManageSubclientCtrl.isBackupOptionsEdit"
		>
			<label class="col-xs-12 col-sm-4" for="subclientPlan">
				<cv:msg key="label.gsuite.serverPlan" bundle="gsuite" />
			</label>
			<div class="col-xs-12 col-sm-8">
				<cv-plan-summary-dropdown
					class="full-width"
					data-ng-if="gsuiteManageSubclientCtrl.plansLoaded"
					input-model="gsuiteManageSubclientCtrl.serverPlanList"
					output-model="gsuiteManageSubclientCtrl.selectedPlanList"
					button-label="'planName'"
					item-label="'planName'"
					tick-property="'selected'"
					selection-mode="'single'"
					directive-id="'subclientPlan'"
					max-labels="1"
					helper-elements="'filter'"
					translation="gsuiteManageSubclientCtrl.localLang"
					disable-property="'disabled'"
					on-item-clicked="gsuiteManageSubclientCtrl.processServerPlanSelection()">
				</cv-plan-summary-dropdown>

				<div
					class="help-block"
					data-ng-if="manageSubclientForm.$submitted"
					data-ng-show="!gsuiteManageSubclientCtrl.selectedPlanList.length"
				>
					<cv:msg key="placeholder.plan" bundle="capps" />
				</div>
			</div>
		</div>

		<div data-ng-if="gsuiteManageSubclientCtrl.isSubclientEdit === gsuiteManageSubclientCtrl.isBackupOptionsEdit">
			<div
				class="form-group margin-left-5 margin-right-5"
				data-ng-if="gsuiteManageSubclientCtrl.cloudAppType === 'GOOGLE_DRIVE'"
			>
				<label class="col-xs-12 col-lg-4" for="teamDrive">
					<cv:msg key="label.teamdrive" bundle="capps" />
				</label>
				<div class="col-xs-12 col-lg-8">
					<toggle-control
						id="teamDrive"
						status="gsuiteManageSubclientCtrl.googleSubclientBackupOptions.teamDrive"
						data-ng-click="gsuiteManageSubclientCtrl.googleSubclientBackupOptions.changeState('teamDrive',gsuiteManageSubclientCtrl.googleSubclientBackupOptions.teamDrive)">
					</toggle-control>
				</div>
			</div>

			<div
				class="form-group margin-left-5 margin-right-5"
			>
				<label class="col-xs-12 col-lg-4" for="multiDomain">
					<cv:msg key="label.multidomain" bundle="capps" />
				</label>
				<div class="col-xs-12 col-lg-8">
					<toggle-control
						id="multiDomain"
						status="gsuiteManageSubclientCtrl.googleSubclientBackupOptions.multiDomain"
						data-ng-click="gsuiteManageSubclientCtrl.googleSubclientBackupOptions.changeState('multiDomain',gsuiteManageSubclientCtrl.googleSubclientBackupOptions.multiDomain)">
					</toggle-control>
				</div>
			</div>

			<div
				class="form-group margin-left-5 margin-right-5"
				data-ng-if="gsuiteManageSubclientCtrl.googleSubclientBackupOptions.multiDomain === 'disabled-activity'"
			>
				<label class="col-xs-12 col-lg-4" for="googleDomainId">
					<cv:msg key="label.googledomainid" bundle="capps" />
				</label>
				<div class="col-xs-12 col-lg-8">
					<input
						name="googleDomain"
						id="googleDomainId"
						placeholder="{{gsuiteManageSubclientCtrl.googleSubclientBackupOptions.multiDomain === 'enabled-activity' ? '' : gsuiteManageSubclientCtrl.defaultGoogleDomainId}}"
						type="text"
						data-ng-model="gsuiteManageSubclientCtrl.googleBackupOptions.googleDomainVal"
					/>
				</div>
			</div>
		</div>

		<!--Content: Users (Tab-1); Google User Organization/RegEx (Tab-2) -->
		<div
			class="margin-top-10 margin-left-5 margin-right-5"
			data-ng-if="!gsuiteManageSubclientCtrl.isBackupOptionsEdit"
		>
			<uib-tabset justified="true">
				<uib-tab>
					<uib-tab-heading class="font-weight-bold">
						<i class="fa fa-user"></i>
						<cv:msg key='tab.users' bundle='gsuite' />
					</uib-tab-heading>
					<div id="backup-content-wrapper">
						<div class="form-group margin-top-20 margin-left-10 margin-right-5">
							<cv-kendo-grid
								data-cv-grid-options="gsuiteManageSubclientCtrl.gridOptions">
							</cv-kendo-grid>
						</div>
					</div>
				</uib-tab> 
				
				<uib-tab data-ng-if="gsuiteManageSubclientCtrl.showAutoDiscoverTab()">	
					<uib-tab-heading class="font-weight-bold">
						<span
							data-ng-if="gsuiteManageSubclientCtrl.AUTO_DISOVERY_MODE !== gsuiteManageSubclientCtrl.REGULAR_EXRESSIONS_DISCOVERY_MODE"
						>
							<i class="fa fa-users"></i>
							<cv:msg key='label.option.google.userOrganization' bundle='gsuite' />
						</span>
						<span
							data-ng-if="gsuiteManageSubclientCtrl.AUTO_DISOVERY_MODE === gsuiteManageSubclientCtrl.REGULAR_EXRESSIONS_DISCOVERY_MODE"
						>
							<span>(.*)&nbsp;</span><cv:msg key='tab.regular.expressions' bundle='gsuite' />
						</span>
					</uib-tab-heading>
					<div id="backup-content-wrapper">
						<div class="form-group margin-top-20 margin-left-5 margin-right-5">
							<cv-kendo-grid
								data-cv-grid-options="gsuiteManageSubclientCtrl.googleGroupGridOptions">
							</cv-kendo-grid>
						</div>
					</div>
				</uib-tab>
			</uib-tabset>
		</div>
	</div>

	<div class="modal-footer">
		<button
			id="gsuiteManageSubclient_button_#2955"
			class="btn btn-default"
			type="button"
			data-ng-click="gsuiteManageSubclientCtrl.dismiss()"
		>
			<cv:msg key="Cancel" bundle="messages" />
		</button>
	
		<button
			id="gsuiteManageSubclient_button_#2475"
			data-ng-if="!gsuiteManageSubclientCtrl.editMode"
			class="btn btn-primary cvBusyOnAjax"
			type="submit"
		>
			<i data-ng-if="gsuiteManageSubclientCtrl.processingRequest" class="fa fa-spinner fa-spin"></i>
			<cv:msg key="Add" bundle="messages" />
		</button>

		<button
			id="gsuiteManageSubclient_button_#8514"
			data-ng-if="gsuiteManageSubclientCtrl.editMode"
			class="btn btn-primary cvBusyOnAjax"
			type="submit"
			data-ng-show="gsuiteManageSubclientCtrl.editMode"
		>
			<i data-ng-if="gsuiteManageSubclientCtrl.processingRequest" class="fa fa-spinner fa-spin"></i>
			<cv:msg key="Save" bundle="messages" />
		</button>
	</div>

</form>
